import * as React from 'react';
import { storiesOf } from '@storybook/react';
import { action } from '@storybook/addon-actions';
import ClickOutside from '.';

storiesOf('ClickOutside', module).add('API', function () {
  return React.createElement(
    ClickOutside,
    { onClick: action('ClickOutside') },
    React.createElement(
      'div',
      {
        style: {
          backgroundColor: 'antiquewhite',
          height: 100,
          width: 500
        }
      },
      'Click outside.',
      React.createElement('br', null),
      '(Press [cmd+d] to open action logger.)'
    )
  );
}, {
  info: {
    text: '',
    inline: true,
    propTables: [ClickOutside]
  }
});