var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import * as React from 'react';

export var Container = function Container(props) {
  return React.createElement('div', _extends({}, props, {
    style: {
      position: 'fixed',
      top: '0',
      bottom: '0',
      left: '0',
      right: '0',
      display: 'flex',
      alignItems: 'center',
      flexDirection: 'column',
      overflow: 'auto'
    }
  }));
};

var BackdropContainer = function BackdropContainer(_ref) {
  var style = _ref.style,
      otherProps = _objectWithoutProperties(_ref, ['style']);

  return React.createElement('div', _extends({}, otherProps, {
    style: _extends({
      position: 'fixed',
      top: '0',
      bottom: '0',
      left: '0',
      right: '0',
      backgroundColor: 'rgba(0, 0, 0, 0.3)',
      display: 'flex',
      alignItems: 'center',
      flexDirection: 'column',
      overflow: 'auto'
    }, style)
  }));
};
export { BackdropContainer };